
User Interface - Feature #2628

Non-fill-in column support in browse.

07/30/2015 08:35 AM - Stanislav Lomany

Status: WIP Start date: 07/30/2015

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Feature #2422: add features to BROWSE Closed 10/17/2014

Related to User Interface - Feature #2564: implement GUI BROWSE widget Closed

Related to User Interface - Feature #2565: implement runtime support for the ... Closed

Related to User Interface - Feature #3275: improve browse support Closed

Related to User Interface - Feature #3811: more misc UI features Closed

History

#1 - 07/30/2015 08:37 AM - Stanislav Lomany

Browse can contain combo-boxes and toggle-boxes.

#2 - 11/20/2015 02:51 PM - Greg Shah

In regard to cursor support for those contained widgets, please see #2565-60.

#3 - 01/28/2016 09:16 AM - Greg Shah

Browse MAX-CHARS attribute must be implemented in this task.

#4 - 07/12/2016 03:41 PM - Stanislav Lomany

- Status changed from New to WIP

FYI, as far as I understand non-fill-in columns are not used in browse in the customer app.

#5 - 09/11/2017 02:32 PM - Greg Shah

TOGGLE-BOX support has been implemented in #3275 (branch 3275b).  Stanislav estimates 1 week to implement conversion and runtime support

for COMBO-BOX (#3275-95).

#6 - 09/11/2017 02:34 PM - Greg Shah

- Related to Feature #3275: improve browse support added

#7 - 01/14/2019 12:42 PM - Greg Shah

- Related to Feature #3811: more misc UI features added
